unit H_PDFPages1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    Button4: TButton;
    Label1: TLabel;
    Button3: TButton;
    Button5: TButton;
    Button6: TButton;
    Edit3: TEdit;
    Label2: TLabel;
    Edit5: TEdit;
    Label3: TLabel;
    Button7: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

function GetPDFffCount(const FileName: PChar): LongInt; stdcall;
function GetPDFFormFields(const FileName: PChar; Opt: LongInt): PChar; stdcall;
function GetPDFFField(const FileName: PChar; FieldName: PChar): PChar; stdcall;
function SetPDFFField(const FileName: PChar; FieldName: PChar; FieldValue: PChar): PChar; stdcall;

implementation

{$R *.DFM}

function GetPDFffCount(const FileName: PChar): LongInt; stdcall;
external 'PDFform.dll';
function GetPDFFormFields(const FileName: PChar; Opt: LongInt): PChar; stdcall;
external 'PDFform.dll';
function GetPDFFField(const FileName: PChar; FieldName: PChar): PChar; stdcall;
external 'PDFform.dll';
function SetPDFFField(const FileName: PChar; FieldName: PChar; FieldValue: PChar): PChar; stdcall;
external 'PDFform.dll';

procedure TForm1.Button1Click(Sender: TObject);
begin
     If OpenDialog1.Execute Then
        Edit1.Text := OpenDialog1.FileName;
end;

procedure TForm1.Button2Click(Sender: TObject); //FormfieldCount
var s : LongInt;
begin
     Edit2.Text := '';
     Edit2.Text := IntToStr(GetPDFffCount(PChar(Edit1.Text)));
end;

procedure TForm1.Button4Click(Sender: TObject); //Get FormFieldAttributes as String
begin
     Edit2.Text := '';
     Edit2.Text := GetPDFFormFields(PChar(Edit1.Text),3);

end;

procedure TForm1.Button3Click(Sender: TObject); //Get FormFieldAttributes as Clipboardcontent
begin
     Edit2.Text := '';
     Edit2.Text := GetPDFFormFields(PChar(Edit1.Text),2);

end;

procedure TForm1.Button5Click(Sender: TObject); //Get FormFieldAttributes as csv-File
begin
     Edit2.Text := '';
     Edit2.Text := GetPDFFormFields(PChar(Edit1.Text),1);

end;

procedure TForm1.Button6Click(Sender: TObject); //Get the value of a single formfield
begin
     Edit2.Text := '';
     Edit5.Text := GetPDFFField(PChar(Edit1.Text),PChar(Edit3.Text));

end;

procedure TForm1.Button7Click(Sender: TObject); //Set the value of a single formfield
begin
     Edit2.Text := '';
     Edit2.Text := SetPDFFField(PChar(Edit1.Text),PChar(Edit3.Text),PChar(Edit5.Text));

end;

end.
